> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/cancellation-easy-return.md).

# Cancellation Easy Return

## Retrieve a Cancellation Easy Return record

> Retrieve a specific Cancellation Easy Return record by ID.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"CancellationEasyReturn":{"type":"object","allOf":[{"$ref":"#/components/schemas/UUIDStarterModel"}],"properties":{"id":{"type":"integer","description":"Unique identifier for the cancellation easy return","readOnly":true},"shipping_company":{"$ref":"#/components/schemas/ShippingCompany"},"code":{"type":"string","description":"Code for the cancellation easy return","nullable":true},"start_date":{"type":"string","format":"date-time","description":"Start date of the cancellation easy return","nullable":true},"end_date":{"type":"string","format":"date-time","description":"End date of the cancellation easy return","nullable":true},"max_count":{"type":"integer","description":"Maximum number of returns allowed","nullable":true},"status":{"$ref":"#/components/schemas/CancellationEasyReturnStatus"},"raw_request":{"type":"string","description":"Raw request data for the cancellation easy return","nullable":true},"raw_response":{"type":"string","description":"Raw response data for the cancellation easy return","nullable":true},"tracking_number":{"type":"string","description":"Tracking number for return","nullable":true},"tracking_url":{"type":"string","format":"uri","maxLength":4096,"description":"Tracking URL for return, if available","nullable":true},"pickup_date":{"type":"object","nullable":false,"default":{},"description":"JSON field to store pickup date-related data"}}},"UUIDStarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."},"uuid":{"type":"string","format":"uuid","description":"Unique UUID identifier","readOnly":true}}},"ShippingCompany":{"type":"string","description":"Shipping company options","enum":["aras","ups","asil","yurtici","mng","hbexpress","aramex","other","ismail","gls","hoopkapida","fancourier","tmmexpress","ptt","horoz","novaposhta","droplight","surat","ups_intl","b2c_direct","jetizz","tyexpress","ay_cargo","cainiao","acs","packupp","k_gelsin","birgunde","kargo_ist","giz","mylerz","mylerzsdd","r2s","boomex","chrono","scotty","netkargo","murat_lgc","fast_cargo","dpd","in_post","k_sende","rupost","cdek","loomis","carrtell","speeta","bringo","dhlexpress","bovo","gelal","arvato","bpost_athome","bpost_24_7","cathedis","dincer","sameday","gkn","svuum","hjetxl","aramex_express","tnt_cargo","ceva_cargo","bringo_express","sendeo","cargus","pinkpost","speedy","deliverigo","jetizz_v7","evdemo_lojistik","extension","apiship","octovan_express","clickpost","iMile","jetlogi","bolt","pony_express","boxaty","monist","city_express","fero_ai","carriyo","pakettaxi","falcon_flex","porter_express","sky_express","pts_express","bpost_pickup"]},"CancellationEasyReturnStatus":{"type":"string","description":"Status of the cancellation easy return.","enum":["active","cancelled"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/cancellation_easy_returns/{id}/":{"get":{"tags":["Cancellation Easy Return"],"summary":"Retrieve a Cancellation Easy Return record","description":"Retrieve a specific Cancellation Easy Return record by ID.","parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Cancellation Easy Return record retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancellationEasyReturn"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List Cancellation Easy Return records

> Retrieve a paginated list of Cancellation Easy Return records.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"code":{"name":"code","in":"query","description":"Filter by code.","required":false,"schema":{"type":"string"}},"created_date":{"name":"created_date","in":"query","required":false,"description":"Filter by creation date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"modified_date":{"name":"modified_date","in":"query","required":false,"description":"Filter by modification date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"pk":{"name":"pk","in":"query","required":false,"description":"Filters by primary key","schema":{"type":"integer"}},"pk__gt":{"name":"pk__gt","in":"query","description":"Filter by primary key greater than a specific value.","schema":{"type":"string"}},"pk__gte":{"name":"pk__gte","in":"query","required":false,"description":"Filters by primary key greater than or equal to the given value","schema":{"type":"integer"}},"pk__lt":{"name":"pk__lt","in":"query","required":false,"description":"Filters by primary key less than the given value","schema":{"type":"integer"}},"pk__lte":{"name":"pk__lte","in":"query","required":false,"description":"Filters by primary key less than or equal to the given value","schema":{"type":"integer"}},"start_date__gt":{"name":"start_date__gt","in":"query","required":false,"schema":{"type":"string","format":"date-time"},"description":"Filter for start_date greater than the specified date."},"start_date__gte":{"name":"start_date__gte","in":"query","required":false,"schema":{"type":"string","format":"date-time"},"description":"Filter for start_date greater than or equal to the specified date."},"start_date__lt":{"name":"start_date__lt","in":"query","required":false,"schema":{"type":"string","format":"date-time"},"description":"Filter for start_date less than the specified date."},"start_date__lte":{"name":"start_date__lte","in":"query","required":false,"schema":{"type":"string","format":"date-time"},"description":"Filter for start_date less than or equal to the specified date."},"start_date__date__gt":{"name":"start_date__date__gt","in":"query","required":false,"schema":{"type":"string","format":"date"},"description":"Filter for start_date date greater than the specified date."},"start_date__date__gte":{"name":"start_date__date__gte","in":"query","required":false,"schema":{"type":"string","format":"date"},"description":"Filter for start_date date greater than or equal to the specified date."},"start_date__date__lt":{"name":"start_date__date__lt","in":"query","required":false,"schema":{"type":"string","format":"date"},"description":"Filter for start_date date less than the specified date."},"start_date__date__lte":{"name":"start_date__date__lte","in":"query","required":false,"schema":{"type":"string","format":"date"},"description":"Filter for start_date date less than or equal to the specified date."},"end_date__gt":{"name":"end_date__gt","in":"query","required":false,"schema":{"type":"string","format":"date-time"},"description":"Filter for end_date greater than the specified date."},"end_date__gte":{"name":"end_date__gte","in":"query","required":false,"schema":{"type":"string","format":"date-time"},"description":"Filter for end_date greater than or equal to the specified date."},"end_date__lt":{"name":"end_date__lt","in":"query","required":false,"schema":{"type":"string","format":"date-time"},"description":"Filter for end_date less than the specified date."},"end_date__lte":{"name":"end_date__lte","in":"query","required":false,"schema":{"type":"string","format":"date-time"},"description":"Filter for end_date less than or equal to the specified date."},"end_date__date__gt":{"name":"end_date__date__gt","in":"query","required":false,"schema":{"type":"string","format":"date"},"description":"Filter for end_date date greater than the specified date."},"end_date__date__gte":{"name":"end_date__date__gte","in":"query","required":false,"schema":{"type":"string","format":"date"},"description":"Filter for end_date date greater than or equal to the specified date."},"end_date__date__lt":{"name":"end_date__date__lt","in":"query","required":false,"schema":{"type":"string","format":"date"},"description":"Filter for end_date date less than the specified date."},"end_date__date__lte":{"name":"end_date__date__lte","in":"query","required":false,"schema":{"type":"string","format":"date"},"description":"Filter for end_date date less than or equal to the specified date."},"max_count__gt":{"name":"max_count__gt","in":"query","schema":{"type":"integer"}},"max_count__gte":{"name":"max_count__gte","in":"query","schema":{"type":"integer"}},"max_count__lt":{"name":"max_count__lt","in":"query","schema":{"type":"integer"}},"max_count__lte":{"name":"max_count__lte","in":"query","schema":{"type":"integer"}},"shipping_company":{"name":"shipping_company","in":"query","description":"Filter by shipping company.","schema":{"$ref":"#/components/schemas/ShippingCompany"}},"cancellation_easy_return_status":{"name":"status","in":"query","schema":{"$ref":"#/components/schemas/CancellationEasyReturnStatus"}}},"schemas":{"ShippingCompany":{"type":"string","description":"Shipping company options","enum":["aras","ups","asil","yurtici","mng","hbexpress","aramex","other","ismail","gls","hoopkapida","fancourier","tmmexpress","ptt","horoz","novaposhta","droplight","surat","ups_intl","b2c_direct","jetizz","tyexpress","ay_cargo","cainiao","acs","packupp","k_gelsin","birgunde","kargo_ist","giz","mylerz","mylerzsdd","r2s","boomex","chrono","scotty","netkargo","murat_lgc","fast_cargo","dpd","in_post","k_sende","rupost","cdek","loomis","carrtell","speeta","bringo","dhlexpress","bovo","gelal","arvato","bpost_athome","bpost_24_7","cathedis","dincer","sameday","gkn","svuum","hjetxl","aramex_express","tnt_cargo","ceva_cargo","bringo_express","sendeo","cargus","pinkpost","speedy","deliverigo","jetizz_v7","evdemo_lojistik","extension","apiship","octovan_express","clickpost","iMile","jetlogi","bolt","pony_express","boxaty","monist","city_express","fero_ai","carriyo","pakettaxi","falcon_flex","porter_express","sky_express","pts_express","bpost_pickup"]},"CancellationEasyReturnStatus":{"type":"string","description":"Status of the cancellation easy return.","enum":["active","cancelled"]},"CancellationEasyReturn":{"type":"object","allOf":[{"$ref":"#/components/schemas/UUIDStarterModel"}],"properties":{"id":{"type":"integer","description":"Unique identifier for the cancellation easy return","readOnly":true},"shipping_company":{"$ref":"#/components/schemas/ShippingCompany"},"code":{"type":"string","description":"Code for the cancellation easy return","nullable":true},"start_date":{"type":"string","format":"date-time","description":"Start date of the cancellation easy return","nullable":true},"end_date":{"type":"string","format":"date-time","description":"End date of the cancellation easy return","nullable":true},"max_count":{"type":"integer","description":"Maximum number of returns allowed","nullable":true},"status":{"$ref":"#/components/schemas/CancellationEasyReturnStatus"},"raw_request":{"type":"string","description":"Raw request data for the cancellation easy return","nullable":true},"raw_response":{"type":"string","description":"Raw response data for the cancellation easy return","nullable":true},"tracking_number":{"type":"string","description":"Tracking number for return","nullable":true},"tracking_url":{"type":"string","format":"uri","maxLength":4096,"description":"Tracking URL for return, if available","nullable":true},"pickup_date":{"type":"object","nullable":false,"default":{},"description":"JSON field to store pickup date-related data"}}},"UUIDStarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."},"uuid":{"type":"string","format":"uuid","description":"Unique UUID identifier","readOnly":true}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/cancellation_easy_returns/":{"get":{"tags":["Cancellation Easy Return"],"summary":"List Cancellation Easy Return records","description":"Retrieve a paginated list of Cancellation Easy Return records.","parameters":[{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/code"},{"$ref":"#/components/parameters/created_date"},{"$ref":"#/components/parameters/modified_date"},{"$ref":"#/components/parameters/pk"},{"$ref":"#/components/parameters/pk__gt"},{"$ref":"#/components/parameters/pk__gte"},{"$ref":"#/components/parameters/pk__lt"},{"$ref":"#/components/parameters/pk__lte"},{"$ref":"#/components/parameters/start_date__gt"},{"$ref":"#/components/parameters/start_date__gte"},{"$ref":"#/components/parameters/start_date__lt"},{"$ref":"#/components/parameters/start_date__lte"},{"$ref":"#/components/parameters/start_date__date__gt"},{"$ref":"#/components/parameters/start_date__date__gte"},{"$ref":"#/components/parameters/start_date__date__lt"},{"$ref":"#/components/parameters/start_date__date__lte"},{"$ref":"#/components/parameters/end_date__gt"},{"$ref":"#/components/parameters/end_date__gte"},{"$ref":"#/components/parameters/end_date__lt"},{"$ref":"#/components/parameters/end_date__lte"},{"$ref":"#/components/parameters/end_date__date__gt"},{"$ref":"#/components/parameters/end_date__date__gte"},{"$ref":"#/components/parameters/end_date__date__lt"},{"$ref":"#/components/parameters/end_date__date__lte"},{"$ref":"#/components/parameters/max_count__gt"},{"$ref":"#/components/parameters/max_count__gte"},{"$ref":"#/components/parameters/max_count__lt"},{"$ref":"#/components/parameters/max_count__lte"},{"$ref":"#/components/parameters/shipping_company"},{"$ref":"#/components/parameters/cancellation_easy_return_status"}],"responses":{"200":{"description":"Paginated list of Cancellation Easy Return records.","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true},"previous":{"type":"string","nullable":true},"results":{"type":"array","items":{"$ref":"#/components/schemas/CancellationEasyReturn"}}}}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/cancellation-easy-return.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
